Subject: Re: bug#72556: 29.1.90; vc-diff does not undo hunk in end of source file

From: Dmitry Gutov <[email-masked]>
Date: Sat, 14 Sep 2024 18:50:33 +0300

Hi!

On 10/08/2024 15:11, Tomas Nordin wrote:
> I have
> noticed that if the diff hunk is an addition in the end of the source
> file, I dont get the expected question if I want to undo the hunk.
> Instead, the hunk is applied again.

No matter the resolution of this bug, just wanted to make sure you know 
that you can force the reverse direction by adding the prefix to the 
command.

So while 'C-c C-a' applies the hunk, 'C-u C-c C-a' reverses it (with a 
similar check that sees whether the hunk has been applied already).